# pointpos_api
PointByte API Specification

This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.1
- Build package: org.openapitools.codegen.languages.DartClientCodegen

## Requirements

Dart 2.0 or later

## Installation & Usage

```
dependencies:
  pointpos_api: ^0.0.3
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:pointpos_api/api.dart';

// TODO Configure API key authorization: JWT
//defaultApiClient.getAuthentication<ApiKeyAuth>('JWT').apiKey = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//defaultApiClient.getAuthentication<ApiKeyAuth>('JWT').apiKeyPrefix = 'Bearer';

var api_instance = CustomerApi();
var authorization = authorization_example; // String | JWT Authorization
var xAPIKey = xAPIKey_example; // String | API Key
var body = Customer(); // Customer | 

try {
    var result = api_instance.createCustomer(authorization, xAPIKey, body);
    print(result);
} catch (e) {
    print("Exception when calling CustomerApi->createCustomer: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CustomerApi* | [**createCustomer**](doc//CustomerApi.md#createcustomer) | **POST** /customer | Create Customer
*CustomerApi* | [**deleteCustomerByID**](doc//CustomerApi.md#deletecustomerbyid) | **DELETE** /customer/{id} | Delete Customer By ID
*CustomerApi* | [**findCustomer**](doc//CustomerApi.md#findcustomer) | **GET** /customer | Get Customer List
*CustomerApi* | [**getCustomerByID**](doc//CustomerApi.md#getcustomerbyid) | **GET** /customer/{id} | Get Customer By ID
*CustomerApi* | [**updateCustomerByID**](doc//CustomerApi.md#updatecustomerbyid) | **PUT** /customer/{id} | Update Customer By ID
*DiscountApi* | [**createDiscount**](doc//DiscountApi.md#creatediscount) | **POST** /discount | Create Discount
*DiscountApi* | [**deleteDiscountByID**](doc//DiscountApi.md#deletediscountbyid) | **DELETE** /discount/{id} | Delete Discount By ID
*DiscountApi* | [**findDiscount**](doc//DiscountApi.md#finddiscount) | **GET** /discount | Get Discount List
*DiscountApi* | [**getDiscountByID**](doc//DiscountApi.md#getdiscountbyid) | **GET** /discount/{id} | Get Discount By ID
*DiscountApi* | [**updateDiscountByID**](doc//DiscountApi.md#updatediscountbyid) | **PUT** /discount/{id} | Update Discount By ID
*EmployeeApi* | [**createEmployee**](doc//EmployeeApi.md#createemployee) | **POST** /employee | Create Employee
*EmployeeApi* | [**deleteEmployeeByID**](doc//EmployeeApi.md#deleteemployeebyid) | **DELETE** /employee/{id} | Delete Employee By ID
*EmployeeApi* | [**findEmployee**](doc//EmployeeApi.md#findemployee) | **GET** /employee | Get Employee List
*EmployeeApi* | [**getEmployeeByID**](doc//EmployeeApi.md#getemployeebyid) | **GET** /employee/{id} | Get Employee By ID
*EmployeeApi* | [**updateEmployeeByID**](doc//EmployeeApi.md#updateemployeebyid) | **PUT** /employee/{id} | Update Employee By ID
*GratuityApi* | [**createGratuity**](doc//GratuityApi.md#creategratuity) | **POST** /gratuity | Create Gratuity
*GratuityApi* | [**deleteGratuityByID**](doc//GratuityApi.md#deletegratuitybyid) | **DELETE** /gratuity/{id} | Delete Gratuity By ID
*GratuityApi* | [**findGratuity**](doc//GratuityApi.md#findgratuity) | **GET** /gratuity | Get Gratuity List
*GratuityApi* | [**getGratuityByID**](doc//GratuityApi.md#getgratuitybyid) | **GET** /gratuity/{id} | Get Gratuity By ID
*GratuityApi* | [**updateGratuityByID**](doc//GratuityApi.md#updategratuitybyid) | **PUT** /gratuity/{id} | Update Gratuity By ID
*IngredientApi* | [**createIngredient**](doc//IngredientApi.md#createingredient) | **POST** /ingredient | Create Ingredient
*IngredientApi* | [**deleteIngredientByID**](doc//IngredientApi.md#deleteingredientbyid) | **DELETE** /ingredient/{id} | Delete Ingredient By ID
*IngredientApi* | [**findIngredient**](doc//IngredientApi.md#findingredient) | **GET** /ingredient | Get Ingredient List
*IngredientApi* | [**getIngredientByID**](doc//IngredientApi.md#getingredientbyid) | **GET** /ingredient/{id} | Get Ingredient By ID
*IngredientApi* | [**updateIngredientByID**](doc//IngredientApi.md#updateingredientbyid) | **PUT** /ingredient/{id} | Update Ingredient By ID
*IngredientCategoryApi* | [**createIngredientcategory**](doc//IngredientCategoryApi.md#createingredientcategory) | **POST** /ingredient-category | Create Ingredientcategory
*IngredientCategoryApi* | [**deleteIngredientcategoryByID**](doc//IngredientCategoryApi.md#deleteingredientcategorybyid) | **DELETE** /ingredient-category/{id} | Delete Ingredientcategory By ID
*IngredientCategoryApi* | [**findIngredientcategory**](doc//IngredientCategoryApi.md#findingredientcategory) | **GET** /ingredient-category | Get Ingredientcategory List
*IngredientCategoryApi* | [**getIngredientcategoryByID**](doc//IngredientCategoryApi.md#getingredientcategorybyid) | **GET** /ingredient-category/{id} | Get Ingredientcategory By ID
*IngredientCategoryApi* | [**updateIngredientcategoryByID**](doc//IngredientCategoryApi.md#updateingredientcategorybyid) | **PUT** /ingredient-category/{id} | Update Ingredientcategory By ID
*ItemApi* | [**createItem**](doc//ItemApi.md#createitem) | **POST** /item | Create Item
*ItemApi* | [**deleteItemByID**](doc//ItemApi.md#deleteitembyid) | **DELETE** /item/{id} | Delete Item By ID
*ItemApi* | [**findItem**](doc//ItemApi.md#finditem) | **GET** /item | Get Item List
*ItemApi* | [**getItemByID**](doc//ItemApi.md#getitembyid) | **GET** /item/{id} | Get Item By ID
*ItemApi* | [**updateItemByID**](doc//ItemApi.md#updateitembyid) | **PUT** /item/{id} | Update Item By ID
*ItemCategoryApi* | [**createItemcategory**](doc//ItemCategoryApi.md#createitemcategory) | **POST** /item-category | Create Itemcategory
*ItemCategoryApi* | [**deleteItemcategoryByID**](doc//ItemCategoryApi.md#deleteitemcategorybyid) | **DELETE** /item-category/{id} | Delete Itemcategory By ID
*ItemCategoryApi* | [**findItemcategory**](doc//ItemCategoryApi.md#finditemcategory) | **GET** /item-category | Get Itemcategory List
*ItemCategoryApi* | [**getItemcategoryByID**](doc//ItemCategoryApi.md#getitemcategorybyid) | **GET** /item-category/{id} | Get Itemcategory By ID
*ItemCategoryApi* | [**updateItemcategoryByID**](doc//ItemCategoryApi.md#updateitemcategorybyid) | **PUT** /item-category/{id} | Update Itemcategory By ID
*LoyaltyProgramApi* | [**createLoyaltyprogram**](doc//LoyaltyProgramApi.md#createloyaltyprogram) | **POST** /loyalty-program | Create Loyaltyprogram
*LoyaltyProgramApi* | [**deleteLoyaltyprogramByID**](doc//LoyaltyProgramApi.md#deleteloyaltyprogrambyid) | **DELETE** /loyalty-program/{id} | Delete Loyaltyprogram By ID
*LoyaltyProgramApi* | [**findLoyaltyprogram**](doc//LoyaltyProgramApi.md#findloyaltyprogram) | **GET** /loyalty-program | Get Loyaltyprogram List
*LoyaltyProgramApi* | [**getLoyaltyprogramByID**](doc//LoyaltyProgramApi.md#getloyaltyprogrambyid) | **GET** /loyalty-program/{id} | Get Loyaltyprogram By ID
*LoyaltyProgramApi* | [**updateLoyaltyprogramByID**](doc//LoyaltyProgramApi.md#updateloyaltyprogrambyid) | **PUT** /loyalty-program/{id} | Update Loyaltyprogram By ID
*MerchantApi* | [**login**](doc//MerchantApi.md#login) | **POST** /merchant/login | Merchant Login
*MerchantApi* | [**signup**](doc//MerchantApi.md#signup) | **POST** /merchant/signup | Merchant Signup
*MerchantAccountApi* | [**createMerchantaccount**](doc//MerchantAccountApi.md#createmerchantaccount) | **POST** /merchant | Create Merchantaccount
*MerchantAccountApi* | [**deleteMerchantaccountByID**](doc//MerchantAccountApi.md#deletemerchantaccountbyid) | **DELETE** /merchant/{id} | Delete Merchantaccount By ID
*MerchantAccountApi* | [**findMerchantaccount**](doc//MerchantAccountApi.md#findmerchantaccount) | **GET** /merchant | Get Merchantaccount List
*MerchantAccountApi* | [**getMerchantaccountByID**](doc//MerchantAccountApi.md#getmerchantaccountbyid) | **GET** /merchant/{id} | Get Merchantaccount By ID
*MerchantAccountApi* | [**updateMerchantaccountByID**](doc//MerchantAccountApi.md#updatemerchantaccountbyid) | **PUT** /merchant/{id} | Update Merchantaccount By ID
*ModifierApi* | [**createModifier**](doc//ModifierApi.md#createmodifier) | **POST** /modifier | Create Modifier
*ModifierApi* | [**deleteModifierByID**](doc//ModifierApi.md#deletemodifierbyid) | **DELETE** /modifier/{id} | Delete Modifier By ID
*ModifierApi* | [**findModifier**](doc//ModifierApi.md#findmodifier) | **GET** /modifier | Get Modifier List
*ModifierApi* | [**getModifierByID**](doc//ModifierApi.md#getmodifierbyid) | **GET** /modifier/{id} | Get Modifier By ID
*ModifierApi* | [**updateModifierByID**](doc//ModifierApi.md#updatemodifierbyid) | **PUT** /modifier/{id} | Update Modifier By ID
*OrderApi* | [**createOrder**](doc//OrderApi.md#createorder) | **POST** /order | Create Order
*OrderApi* | [**deleteOrderByID**](doc//OrderApi.md#deleteorderbyid) | **DELETE** /order/{id} | Delete Order By ID
*OrderApi* | [**findOrder**](doc//OrderApi.md#findorder) | **GET** /order | Get Order List
*OrderApi* | [**getOrderByID**](doc//OrderApi.md#getorderbyid) | **GET** /order/{id} | Get Order By ID
*OrderApi* | [**updateOrderByID**](doc//OrderApi.md#updateorderbyid) | **PUT** /order/{id} | Update Order By ID
*OutletApi* | [**createOutlet**](doc//OutletApi.md#createoutlet) | **POST** /outlet | Create Outlet
*OutletApi* | [**deleteOutletByID**](doc//OutletApi.md#deleteoutletbyid) | **DELETE** /outlet/{id} | Delete Outlet By ID
*OutletApi* | [**findOutlet**](doc//OutletApi.md#findoutlet) | **GET** /outlet | Get Outlet List
*OutletApi* | [**getOutletByID**](doc//OutletApi.md#getoutletbyid) | **GET** /outlet/{id} | Get Outlet By ID
*OutletApi* | [**updateOutletByID**](doc//OutletApi.md#updateoutletbyid) | **PUT** /outlet/{id} | Update Outlet By ID
*PromoApi* | [**createPromo**](doc//PromoApi.md#createpromo) | **POST** /promo | Create Promo
*PromoApi* | [**deletePromoByID**](doc//PromoApi.md#deletepromobyid) | **DELETE** /promo/{id} | Delete Promo By ID
*PromoApi* | [**findPromo**](doc//PromoApi.md#findpromo) | **GET** /promo | Get Promo List
*PromoApi* | [**getPromoByID**](doc//PromoApi.md#getpromobyid) | **GET** /promo/{id} | Get Promo By ID
*PromoApi* | [**updatePromoByID**](doc//PromoApi.md#updatepromobyid) | **PUT** /promo/{id} | Update Promo By ID
*PurchaseOrderApi* | [**createPurchaseorder**](doc//PurchaseOrderApi.md#createpurchaseorder) | **POST** /purchase-order | Create Purchaseorder
*PurchaseOrderApi* | [**deletePurchaseorderByID**](doc//PurchaseOrderApi.md#deletepurchaseorderbyid) | **DELETE** /purchase-order/{outletId} | Delete Purchaseorder By ID
*PurchaseOrderApi* | [**findPurchaseorder**](doc//PurchaseOrderApi.md#findpurchaseorder) | **GET** /purchase-order | Get Purchaseorder List
*PurchaseOrderApi* | [**getPurchaseorderByID**](doc//PurchaseOrderApi.md#getpurchaseorderbyid) | **GET** /purchase-order/{outletId} | Get Purchaseorder By ID
*PurchaseOrderApi* | [**updatePurchaseorderByID**](doc//PurchaseOrderApi.md#updatepurchaseorderbyid) | **PUT** /purchase-order/{outletId} | Update Purchaseorder By ID
*RecipeApi* | [**createRecipe**](doc//RecipeApi.md#createrecipe) | **POST** /recipe | Create Recipe
*RecipeApi* | [**deleteRecipeByID**](doc//RecipeApi.md#deleterecipebyid) | **DELETE** /recipe/{itemId} | Delete Recipe By ID
*RecipeApi* | [**findRecipe**](doc//RecipeApi.md#findrecipe) | **GET** /recipe | Get Recipe List
*RecipeApi* | [**getRecipeByID**](doc//RecipeApi.md#getrecipebyid) | **GET** /recipe/{itemId} | Get Recipe By ID
*RecipeApi* | [**updateRecipeByID**](doc//RecipeApi.md#updaterecipebyid) | **PUT** /recipe/{itemId} | Update Recipe By ID
*RoleApi* | [**createRole**](doc//RoleApi.md#createrole) | **POST** /role | Create Role
*RoleApi* | [**deleteRoleByID**](doc//RoleApi.md#deleterolebyid) | **DELETE** /role/{id} | Delete Role By ID
*RoleApi* | [**findRole**](doc//RoleApi.md#findrole) | **GET** /role | Get Role List
*RoleApi* | [**getRoleByID**](doc//RoleApi.md#getrolebyid) | **GET** /role/{id} | Get Role By ID
*RoleApi* | [**updateRoleByID**](doc//RoleApi.md#updaterolebyid) | **PUT** /role/{id} | Update Role By ID
*RolePermissionApi* | [**createRolepermission**](doc//RolePermissionApi.md#createrolepermission) | **POST** /role-permission | Create Rolepermission
*RolePermissionApi* | [**deleteRolepermissionByID**](doc//RolePermissionApi.md#deleterolepermissionbyid) | **DELETE** /role-permission/{id} | Delete Rolepermission By ID
*RolePermissionApi* | [**findRolepermission**](doc//RolePermissionApi.md#findrolepermission) | **GET** /role-permission | Get Rolepermission List
*RolePermissionApi* | [**getRolepermissionByID**](doc//RolePermissionApi.md#getrolepermissionbyid) | **GET** /role-permission/{id} | Get Rolepermission By ID
*RolePermissionApi* | [**updateRolepermissionByID**](doc//RolePermissionApi.md#updaterolepermissionbyid) | **PUT** /role-permission/{id} | Update Rolepermission By ID
*SalesTypeApi* | [**createSalestype**](doc//SalesTypeApi.md#createsalestype) | **POST** /sales-type | Create Salestype
*SalesTypeApi* | [**deleteSalestypeByID**](doc//SalesTypeApi.md#deletesalestypebyid) | **DELETE** /sales-type/{name} | Delete Salestype By ID
*SalesTypeApi* | [**findSalestype**](doc//SalesTypeApi.md#findsalestype) | **GET** /sales-type | Get Salestype List
*SalesTypeApi* | [**getSalestypeByID**](doc//SalesTypeApi.md#getsalestypebyid) | **GET** /sales-type/{name} | Get Salestype By ID
*SalesTypeApi* | [**updateSalestypeByID**](doc//SalesTypeApi.md#updatesalestypebyid) | **PUT** /sales-type/{name} | Update Salestype By ID
*SupplierApi* | [**createSupplier**](doc//SupplierApi.md#createsupplier) | **POST** /supplier | Create Supplier
*SupplierApi* | [**deleteSupplierByID**](doc//SupplierApi.md#deletesupplierbyid) | **DELETE** /supplier/{id} | Delete Supplier By ID
*SupplierApi* | [**findSupplier**](doc//SupplierApi.md#findsupplier) | **GET** /supplier | Get Supplier List
*SupplierApi* | [**getSupplierByID**](doc//SupplierApi.md#getsupplierbyid) | **GET** /supplier/{id} | Get Supplier By ID
*SupplierApi* | [**updateSupplierByID**](doc//SupplierApi.md#updatesupplierbyid) | **PUT** /supplier/{id} | Update Supplier By ID
*TableApi* | [**createTable**](doc//TableApi.md#createtable) | **POST** /table | Create Table
*TableApi* | [**deleteTableByID**](doc//TableApi.md#deletetablebyid) | **DELETE** /table/{id} | Delete Table By ID
*TableApi* | [**findTable**](doc//TableApi.md#findtable) | **GET** /table | Get Table List
*TableApi* | [**getTableByID**](doc//TableApi.md#gettablebyid) | **GET** /table/{id} | Get Table By ID
*TableApi* | [**updateTableByID**](doc//TableApi.md#updatetablebyid) | **PUT** /table/{id} | Update Table By ID
*TableGroupApi* | [**createTablegroup**](doc//TableGroupApi.md#createtablegroup) | **POST** /table-group | Create Tablegroup
*TableGroupApi* | [**deleteTablegroupByID**](doc//TableGroupApi.md#deletetablegroupbyid) | **DELETE** /table-group/{id} | Delete Tablegroup By ID
*TableGroupApi* | [**findTablegroup**](doc//TableGroupApi.md#findtablegroup) | **GET** /table-group | Get Tablegroup List
*TableGroupApi* | [**getTablegroupByID**](doc//TableGroupApi.md#gettablegroupbyid) | **GET** /table-group/{id} | Get Tablegroup By ID
*TableGroupApi* | [**updateTablegroupByID**](doc//TableGroupApi.md#updatetablegroupbyid) | **PUT** /table-group/{id} | Update Tablegroup By ID
*TaxApi* | [**createTax**](doc//TaxApi.md#createtax) | **POST** /tax | Create Tax
*TaxApi* | [**deleteTaxByID**](doc//TaxApi.md#deletetaxbyid) | **DELETE** /tax/{id} | Delete Tax By ID
*TaxApi* | [**findTax**](doc//TaxApi.md#findtax) | **GET** /tax | Get Tax List
*TaxApi* | [**getTaxByID**](doc//TaxApi.md#gettaxbyid) | **GET** /tax/{id} | Get Tax By ID
*TaxApi* | [**updateTaxByID**](doc//TaxApi.md#updatetaxbyid) | **PUT** /tax/{id} | Update Tax By ID
*UnitApi* | [**createUnit**](doc//UnitApi.md#createunit) | **POST** /unit | Create Unit
*UnitApi* | [**deleteUnitByID**](doc//UnitApi.md#deleteunitbyid) | **DELETE** /unit/{id} | Delete Unit By ID
*UnitApi* | [**findUnit**](doc//UnitApi.md#findunit) | **GET** /unit | Get Unit List
*UnitApi* | [**getUnitByID**](doc//UnitApi.md#getunitbyid) | **GET** /unit/{id} | Get Unit By ID
*UnitApi* | [**updateUnitByID**](doc//UnitApi.md#updateunitbyid) | **PUT** /unit/{id} | Update Unit By ID


## Documentation For Models

 - [Customer](doc//Customer.md)
 - [Discount](doc//Discount.md)
 - [Employee](doc//Employee.md)
 - [Exception](doc//Exception.md)
 - [ForbiddenException](doc//ForbiddenException.md)
 - [Gratuity](doc//Gratuity.md)
 - [Ingredient](doc//Ingredient.md)
 - [IngredientCategory](doc//IngredientCategory.md)
 - [IngredientCostOfGoodsSold](doc//IngredientCostOfGoodsSold.md)
 - [IngredientInventory](doc//IngredientInventory.md)
 - [InlineResponse200](doc//InlineResponse200.md)
 - [InternalServerErrorException](doc//InternalServerErrorException.md)
 - [Item](doc//Item.md)
 - [ItemCategory](doc//ItemCategory.md)
 - [ItemCostOfGoodsSold](doc//ItemCostOfGoodsSold.md)
 - [ItemInventory](doc//ItemInventory.md)
 - [ItemVariants](doc//ItemVariants.md)
 - [Login](doc//Login.md)
 - [LoyaltyProgram](doc//LoyaltyProgram.md)
 - [LoyaltyProgramPointFromBuyItem](doc//LoyaltyProgramPointFromBuyItem.md)
 - [LoyaltyProgramPointFromBuyItemEligibleCategories](doc//LoyaltyProgramPointFromBuyItemEligibleCategories.md)
 - [LoyaltyProgramPointFromBuyItemEligibleItems](doc//LoyaltyProgramPointFromBuyItemEligibleItems.md)
 - [LoyaltyProgramPointFromTotalSpent](doc//LoyaltyProgramPointFromTotalSpent.md)
 - [LoyaltyProgramRedeemRules](doc//LoyaltyProgramRedeemRules.md)
 - [MerchantAccount](doc//MerchantAccount.md)
 - [MerchantAccountBusinessInfo](doc//MerchantAccountBusinessInfo.md)
 - [MerchantAccountIdentification](doc//MerchantAccountIdentification.md)
 - [MerchantAccountPersonalDetails](doc//MerchantAccountPersonalDetails.md)
 - [MerchantAccountPersonalDetailsEmail](doc//MerchantAccountPersonalDetailsEmail.md)
 - [MerchantAccountPersonalDetailsPhone](doc//MerchantAccountPersonalDetailsPhone.md)
 - [MerchantAccountPublicProfile](doc//MerchantAccountPublicProfile.md)
 - [Modifier](doc//Modifier.md)
 - [ModifierOptions](doc//ModifierOptions.md)
 - [NotFoundException](doc//NotFoundException.md)
 - [Order](doc//Order.md)
 - [OrderCash](doc//OrderCash.md)
 - [OrderDiscounts](doc//OrderDiscounts.md)
 - [OrderItems](doc//OrderItems.md)
 - [OrderModifiers](doc//OrderModifiers.md)
 - [OrderPayments](doc//OrderPayments.md)
 - [OrderSentReceipts](doc//OrderSentReceipts.md)
 - [Outlet](doc//Outlet.md)
 - [OutletReceiptSettings](doc//OutletReceiptSettings.md)
 - [OutletReceiptSettingsOutletInfo](doc//OutletReceiptSettingsOutletInfo.md)
 - [Promo](doc//Promo.md)
 - [PromoPromoPeriod](doc//PromoPromoPeriod.md)
 - [PromoPromoPeriodDateRange](doc//PromoPromoPeriodDateRange.md)
 - [PromoPromoPeriodTimeRange](doc//PromoPromoPeriodTimeRange.md)
 - [PromoPromoPeriodWeekDay](doc//PromoPromoPeriodWeekDay.md)
 - [PromoRequirement](doc//PromoRequirement.md)
 - [PromoRequirementEligibleCategories](doc//PromoRequirementEligibleCategories.md)
 - [PromoRequirementEligibleItems](doc//PromoRequirementEligibleItems.md)
 - [PromoReward](doc//PromoReward.md)
 - [PromoRewardDiscount](doc//PromoRewardDiscount.md)
 - [PurchaseOrder](doc//PurchaseOrder.md)
 - [PurchaseOrderIngredients](doc//PurchaseOrderIngredients.md)
 - [Recipe](doc//Recipe.md)
 - [RecipeIngredients](doc//RecipeIngredients.md)
 - [Role](doc//Role.md)
 - [RolePermission](doc//RolePermission.md)
 - [SalesType](doc//SalesType.md)
 - [Signup](doc//Signup.md)
 - [Supplier](doc//Supplier.md)
 - [Table](doc//Table.md)
 - [TableGroup](doc//TableGroup.md)
 - [TableLocation](doc//TableLocation.md)
 - [Tax](doc//Tax.md)
 - [UnauthorizedException](doc//UnauthorizedException.md)
 - [Unit](doc//Unit.md)
 - [ValidationException](doc//ValidationException.md)


## Documentation For Authorization


## APIKey

- **Type**: API key
- **API key parameter name**: X-API-Key
- **Location**: HTTP header

## JWT

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author




