part of pointpos_api.api;

class Exception {
  
  String code = null;
  
  String message = null;
  Exception();

  @override
  String toString() {
    return 'Exception[code=$code, message=$message, ]';
  }

  Exception.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    code = json['code'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (code != null)
      json['code'] = code;
    if (message != null)
      json['message'] = message;
    return json;
  }

  static List<Exception> listFromJson(List<dynamic> json) {
    return json == null ? List<Exception>() : json.map((value) => Exception.fromJson(value)).toList();
  }

  static Map<String, Exception> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Exception>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Exception.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Exception-objects as value to a dart map
  static Map<String, List<Exception>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Exception>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Exception.listFromJson(value);
       });
     }
     return map;
  }
}

