part of pointpos_api.api;

class Ingredient {
  
  String id = null;
  
  String name = null;
  
  num unitId = null;
  
  num ingredientCategoryId = null;
  
  IngredientInventory inventory = null;
  
  IngredientCostOfGoodsSold costOfGoodsSold = null;
  Ingredient();

  @override
  String toString() {
    return 'Ingredient[id=$id, name=$name, unitId=$unitId, ingredientCategoryId=$ingredientCategoryId, inventory=$inventory, costOfGoodsSold=$costOfGoodsSold, ]';
  }

  Ingredient.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    unitId = json['unitId'];
    ingredientCategoryId = json['ingredientCategoryId'];
    inventory = (json['inventory'] == null) ?
      null :
      IngredientInventory.fromJson(json['inventory']);
    costOfGoodsSold = (json['costOfGoodsSold'] == null) ?
      null :
      IngredientCostOfGoodsSold.fromJson(json['costOfGoodsSold']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (unitId != null)
      json['unitId'] = unitId;
    if (ingredientCategoryId != null)
      json['ingredientCategoryId'] = ingredientCategoryId;
    if (inventory != null)
      json['inventory'] = inventory;
    if (costOfGoodsSold != null)
      json['costOfGoodsSold'] = costOfGoodsSold;
    return json;
  }

  static List<Ingredient> listFromJson(List<dynamic> json) {
    return json == null ? List<Ingredient>() : json.map((value) => Ingredient.fromJson(value)).toList();
  }

  static Map<String, Ingredient> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Ingredient>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Ingredient.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Ingredient-objects as value to a dart map
  static Map<String, List<Ingredient>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Ingredient>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Ingredient.listFromJson(value);
       });
     }
     return map;
  }
}

