part of pointpos_api.api;

class Item {
  
  String id = null;
  
  String name = null;
  
  num categoryId = null;
  
  List<ItemVariants> variants = [];
  
  List<ItemInventory> inventory = [];
  
  List<ItemCostOfGoodsSold> costOfGoodsSold = [];
  
  String description = null;
  Item();

  @override
  String toString() {
    return 'Item[id=$id, name=$name, categoryId=$categoryId, variants=$variants, inventory=$inventory, costOfGoodsSold=$costOfGoodsSold, description=$description, ]';
  }

  Item.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    categoryId = json['categoryId'];
    variants = (json['variants'] == null) ?
      null :
      ItemVariants.listFromJson(json['variants']);
    inventory = (json['inventory'] == null) ?
      null :
      ItemInventory.listFromJson(json['inventory']);
    costOfGoodsSold = (json['costOfGoodsSold'] == null) ?
      null :
      ItemCostOfGoodsSold.listFromJson(json['costOfGoodsSold']);
    description = json['description'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (categoryId != null)
      json['categoryId'] = categoryId;
    if (variants != null)
      json['variants'] = variants;
    if (inventory != null)
      json['inventory'] = inventory;
    if (costOfGoodsSold != null)
      json['costOfGoodsSold'] = costOfGoodsSold;
    if (description != null)
      json['description'] = description;
    return json;
  }

  static List<Item> listFromJson(List<dynamic> json) {
    return json == null ? List<Item>() : json.map((value) => Item.fromJson(value)).toList();
  }

  static Map<String, Item> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Item>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Item.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Item-objects as value to a dart map
  static Map<String, List<Item>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Item>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Item.listFromJson(value);
       });
     }
     return map;
  }
}

