part of pointpos_api.api;

class LoyaltyProgramRedeemRules {
  
  num requiredPoint = null;
  
  num discount = null;
  
  bool isPercentage = null;
  
  num maximumDiscountValue = null;
  
  num minimumPurchase = null;
  
  List<LoyaltyProgramPointFromBuyItemEligibleItems> eligibleItems = [];
  
  List<LoyaltyProgramPointFromBuyItemEligibleCategories> eligibleCategories = [];
  LoyaltyProgramRedeemRules();

  @override
  String toString() {
    return 'LoyaltyProgramRedeemRules[requiredPoint=$requiredPoint, discount=$discount, isPercentage=$isPercentage, maximumDiscountValue=$maximumDiscountValue, minimumPurchase=$minimumPurchase, eligibleItems=$eligibleItems, eligibleCategories=$eligibleCategories, ]';
  }

  LoyaltyProgramRedeemRules.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    requiredPoint = json['requiredPoint'];
    discount = json['discount'];
    isPercentage = json['isPercentage'];
    maximumDiscountValue = json['maximumDiscountValue'];
    minimumPurchase = json['minimumPurchase'];
    eligibleItems = (json['eligibleItems'] == null) ?
      null :
      LoyaltyProgramPointFromBuyItemEligibleItems.listFromJson(json['eligibleItems']);
    eligibleCategories = (json['eligibleCategories'] == null) ?
      null :
      LoyaltyProgramPointFromBuyItemEligibleCategories.listFromJson(json['eligibleCategories']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (requiredPoint != null)
      json['requiredPoint'] = requiredPoint;
    if (discount != null)
      json['discount'] = discount;
    if (isPercentage != null)
      json['isPercentage'] = isPercentage;
    if (maximumDiscountValue != null)
      json['maximumDiscountValue'] = maximumDiscountValue;
    if (minimumPurchase != null)
      json['minimumPurchase'] = minimumPurchase;
    if (eligibleItems != null)
      json['eligibleItems'] = eligibleItems;
    if (eligibleCategories != null)
      json['eligibleCategories'] = eligibleCategories;
    return json;
  }

  static List<LoyaltyProgramRedeemRules> listFromJson(List<dynamic> json) {
    return json == null ? List<LoyaltyProgramRedeemRules>() : json.map((value) => LoyaltyProgramRedeemRules.fromJson(value)).toList();
  }

  static Map<String, LoyaltyProgramRedeemRules> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, LoyaltyProgramRedeemRules>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = LoyaltyProgramRedeemRules.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of LoyaltyProgramRedeemRules-objects as value to a dart map
  static Map<String, List<LoyaltyProgramRedeemRules>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<LoyaltyProgramRedeemRules>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = LoyaltyProgramRedeemRules.listFromJson(value);
       });
     }
     return map;
  }
}

