part of pointpos_api.api;

class MerchantAccount {
  
  String id = null;
  
  MerchantAccountPersonalDetails personalDetails = null;
  
  MerchantAccountBusinessInfo businessInfo = null;
  
  MerchantAccountIdentification identification = null;
  
  MerchantAccountPublicProfile publicProfile = null;
  MerchantAccount();

  @override
  String toString() {
    return 'MerchantAccount[id=$id, personalDetails=$personalDetails, businessInfo=$businessInfo, identification=$identification, publicProfile=$publicProfile, ]';
  }

  MerchantAccount.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    personalDetails = (json['personalDetails'] == null) ?
      null :
      MerchantAccountPersonalDetails.fromJson(json['personalDetails']);
    businessInfo = (json['businessInfo'] == null) ?
      null :
      MerchantAccountBusinessInfo.fromJson(json['businessInfo']);
    identification = (json['identification'] == null) ?
      null :
      MerchantAccountIdentification.fromJson(json['identification']);
    publicProfile = (json['publicProfile'] == null) ?
      null :
      MerchantAccountPublicProfile.fromJson(json['publicProfile']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (personalDetails != null)
      json['personalDetails'] = personalDetails;
    if (businessInfo != null)
      json['businessInfo'] = businessInfo;
    if (identification != null)
      json['identification'] = identification;
    if (publicProfile != null)
      json['publicProfile'] = publicProfile;
    return json;
  }

  static List<MerchantAccount> listFromJson(List<dynamic> json) {
    return json == null ? List<MerchantAccount>() : json.map((value) => MerchantAccount.fromJson(value)).toList();
  }

  static Map<String, MerchantAccount> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, MerchantAccount>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = MerchantAccount.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of MerchantAccount-objects as value to a dart map
  static Map<String, List<MerchantAccount>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<MerchantAccount>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = MerchantAccount.listFromJson(value);
       });
     }
     return map;
  }
}

