part of pointpos_api.api;

class Modifier {
  
  String id = null;
  
  String name = null;
  
  List<ModifierOptions> options = [];
  
  List<String> appliedItems = [];
  Modifier();

  @override
  String toString() {
    return 'Modifier[id=$id, name=$name, options=$options, appliedItems=$appliedItems, ]';
  }

  Modifier.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    options = (json['options'] == null) ?
      null :
      ModifierOptions.listFromJson(json['options']);
    appliedItems = (json['appliedItems'] == null) ?
      null :
      (json['appliedItems'] as List).cast<String>();
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (options != null)
      json['options'] = options;
    if (appliedItems != null)
      json['appliedItems'] = appliedItems;
    return json;
  }

  static List<Modifier> listFromJson(List<dynamic> json) {
    return json == null ? List<Modifier>() : json.map((value) => Modifier.fromJson(value)).toList();
  }

  static Map<String, Modifier> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Modifier>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Modifier.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Modifier-objects as value to a dart map
  static Map<String, List<Modifier>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Modifier>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Modifier.listFromJson(value);
       });
     }
     return map;
  }
}

