part of pointpos_api.api;

class Order {
  
  String id = null;
  
  String merchantId = null;
  
  String outletId = null;
  
  List<OrderItems> items = [];
  
  num discount = null;
  
  num subTotal = null;
  
  String customerId = null;
  
  List<OrderPayments> payments = [];
  
  List<OrderSentReceipts> sentReceipts = [];
  
  String createdAt = null;
  Order();

  @override
  String toString() {
    return 'Order[id=$id, merchantId=$merchantId, outletId=$outletId, items=$items, discount=$discount, subTotal=$subTotal, customerId=$customerId, payments=$payments, sentReceipts=$sentReceipts, createdAt=$createdAt, ]';
  }

  Order.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    merchantId = json['merchantId'];
    outletId = json['outletId'];
    items = (json['items'] == null) ?
      null :
      OrderItems.listFromJson(json['items']);
    discount = json['discount'];
    subTotal = json['subTotal'];
    customerId = json['customerId'];
    payments = (json['payments'] == null) ?
      null :
      OrderPayments.listFromJson(json['payments']);
    sentReceipts = (json['sentReceipts'] == null) ?
      null :
      OrderSentReceipts.listFromJson(json['sentReceipts']);
    createdAt = json['createdAt'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (merchantId != null)
      json['merchantId'] = merchantId;
    if (outletId != null)
      json['outletId'] = outletId;
    if (items != null)
      json['items'] = items;
    if (discount != null)
      json['discount'] = discount;
    if (subTotal != null)
      json['subTotal'] = subTotal;
    if (customerId != null)
      json['customerId'] = customerId;
    if (payments != null)
      json['payments'] = payments;
    if (sentReceipts != null)
      json['sentReceipts'] = sentReceipts;
    if (createdAt != null)
      json['createdAt'] = createdAt;
    return json;
  }

  static List<Order> listFromJson(List<dynamic> json) {
    return json == null ? List<Order>() : json.map((value) => Order.fromJson(value)).toList();
  }

  static Map<String, Order> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Order>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Order.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Order-objects as value to a dart map
  static Map<String, List<Order>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Order>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Order.listFromJson(value);
       });
     }
     return map;
  }
}

