part of pointpos_api.api;

class OrderItems {
  
  String itemId = null;
  
  num variantId = null;
  
  List<OrderModifiers> modifiers = [];
  
  List<OrderDiscounts> discounts = [];
  
  String salesTypeId = null;
  
  String note = null;
  
  num qty = null;
  
  num subTotal = null;
  OrderItems();

  @override
  String toString() {
    return 'OrderItems[itemId=$itemId, variantId=$variantId, modifiers=$modifiers, discounts=$discounts, salesTypeId=$salesTypeId, note=$note, qty=$qty, subTotal=$subTotal, ]';
  }

  OrderItems.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    itemId = json['itemId'];
    variantId = json['variantId'];
    modifiers = (json['modifiers'] == null) ?
      null :
      OrderModifiers.listFromJson(json['modifiers']);
    discounts = (json['discounts'] == null) ?
      null :
      OrderDiscounts.listFromJson(json['discounts']);
    salesTypeId = json['salesTypeId'];
    note = json['note'];
    qty = json['qty'];
    subTotal = json['subTotal'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (itemId != null)
      json['itemId'] = itemId;
    if (variantId != null)
      json['variantId'] = variantId;
    if (modifiers != null)
      json['modifiers'] = modifiers;
    if (discounts != null)
      json['discounts'] = discounts;
    if (salesTypeId != null)
      json['salesTypeId'] = salesTypeId;
    if (note != null)
      json['note'] = note;
    if (qty != null)
      json['qty'] = qty;
    if (subTotal != null)
      json['subTotal'] = subTotal;
    return json;
  }

  static List<OrderItems> listFromJson(List<dynamic> json) {
    return json == null ? List<OrderItems>() : json.map((value) => OrderItems.fromJson(value)).toList();
  }

  static Map<String, OrderItems> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, OrderItems>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = OrderItems.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of OrderItems-objects as value to a dart map
  static Map<String, List<OrderItems>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<OrderItems>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = OrderItems.listFromJson(value);
       });
     }
     return map;
  }
}

