part of pointpos_api.api;

class PromoReward {
  
  List<PromoRequirementEligibleItems> freeItems = [];
  
  PromoRewardDiscount discount = null;
  PromoReward();

  @override
  String toString() {
    return 'PromoReward[freeItems=$freeItems, discount=$discount, ]';
  }

  PromoReward.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    freeItems = (json['freeItems'] == null) ?
      null :
      PromoRequirementEligibleItems.listFromJson(json['freeItems']);
    discount = (json['discount'] == null) ?
      null :
      PromoRewardDiscount.fromJson(json['discount']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (freeItems != null)
      json['freeItems'] = freeItems;
    if (discount != null)
      json['discount'] = discount;
    return json;
  }

  static List<PromoReward> listFromJson(List<dynamic> json) {
    return json == null ? List<PromoReward>() : json.map((value) => PromoReward.fromJson(value)).toList();
  }

  static Map<String, PromoReward> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PromoReward>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PromoReward.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PromoReward-objects as value to a dart map
  static Map<String, List<PromoReward>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PromoReward>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PromoReward.listFromJson(value);
       });
     }
     return map;
  }
}

