part of pointpos_api.api;

class PurchaseOrder {
  
  String outletId = null;
  
  String supplierId = null;
  
  String note = null;
  
  List<PurchaseOrderIngredients> ingredients = [];
  PurchaseOrder();

  @override
  String toString() {
    return 'PurchaseOrder[outletId=$outletId, supplierId=$supplierId, note=$note, ingredients=$ingredients, ]';
  }

  PurchaseOrder.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    outletId = json['outletId'];
    supplierId = json['supplierId'];
    note = json['note'];
    ingredients = (json['ingredients'] == null) ?
      null :
      PurchaseOrderIngredients.listFromJson(json['ingredients']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (outletId != null)
      json['outletId'] = outletId;
    if (supplierId != null)
      json['supplierId'] = supplierId;
    if (note != null)
      json['note'] = note;
    if (ingredients != null)
      json['ingredients'] = ingredients;
    return json;
  }

  static List<PurchaseOrder> listFromJson(List<dynamic> json) {
    return json == null ? List<PurchaseOrder>() : json.map((value) => PurchaseOrder.fromJson(value)).toList();
  }

  static Map<String, PurchaseOrder> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PurchaseOrder>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PurchaseOrder.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PurchaseOrder-objects as value to a dart map
  static Map<String, List<PurchaseOrder>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PurchaseOrder>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PurchaseOrder.listFromJson(value);
       });
     }
     return map;
  }
}

