part of pointpos_api.api;

class Recipe {
  
  String itemId = null;
  
  num variantId = null;
  
  List<RecipeIngredients> ingredients = [];
  Recipe();

  @override
  String toString() {
    return 'Recipe[itemId=$itemId, variantId=$variantId, ingredients=$ingredients, ]';
  }

  Recipe.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    itemId = json['itemId'];
    variantId = json['variantId'];
    ingredients = (json['ingredients'] == null) ?
      null :
      RecipeIngredients.listFromJson(json['ingredients']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (itemId != null)
      json['itemId'] = itemId;
    if (variantId != null)
      json['variantId'] = variantId;
    if (ingredients != null)
      json['ingredients'] = ingredients;
    return json;
  }

  static List<Recipe> listFromJson(List<dynamic> json) {
    return json == null ? List<Recipe>() : json.map((value) => Recipe.fromJson(value)).toList();
  }

  static Map<String, Recipe> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Recipe>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Recipe.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Recipe-objects as value to a dart map
  static Map<String, List<Recipe>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Recipe>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Recipe.listFromJson(value);
       });
     }
     return map;
  }
}

