part of pointpos_api.api;

class RolePermission {
  
  String id = null;
  
  num priorityRank = null;
  
  String menu = null;
  
  String menuName = null;
  
  String access = null;
  
  bool pinRequired = null;
  
  bool mobileSupported = null;
  
  bool usable = null;
  
  List<String> urls = [];
  
  String subMenu = null;
  
  String subMenuName = null;
  
  bool isAllowedForPointPay = null;
  RolePermission();

  @override
  String toString() {
    return 'RolePermission[id=$id, priorityRank=$priorityRank, menu=$menu, menuName=$menuName, access=$access, pinRequired=$pinRequired, mobileSupported=$mobileSupported, usable=$usable, urls=$urls, subMenu=$subMenu, subMenuName=$subMenuName, isAllowedForPointPay=$isAllowedForPointPay, ]';
  }

  RolePermission.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    priorityRank = json['priority_rank'];
    menu = json['menu'];
    menuName = json['menu_name'];
    access = json['access'];
    pinRequired = json['pin_required'];
    mobileSupported = json['mobile_supported'];
    usable = json['usable'];
    urls = (json['urls'] == null) ?
      null :
      (json['urls'] as List).cast<String>();
    subMenu = json['sub_menu'];
    subMenuName = json['sub_menu_name'];
    isAllowedForPointPay = json['is_allowed_for_point_pay'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (priorityRank != null)
      json['priority_rank'] = priorityRank;
    if (menu != null)
      json['menu'] = menu;
    if (menuName != null)
      json['menu_name'] = menuName;
    if (access != null)
      json['access'] = access;
    if (pinRequired != null)
      json['pin_required'] = pinRequired;
    if (mobileSupported != null)
      json['mobile_supported'] = mobileSupported;
    if (usable != null)
      json['usable'] = usable;
    if (urls != null)
      json['urls'] = urls;
    if (subMenu != null)
      json['sub_menu'] = subMenu;
    if (subMenuName != null)
      json['sub_menu_name'] = subMenuName;
    if (isAllowedForPointPay != null)
      json['is_allowed_for_point_pay'] = isAllowedForPointPay;
    return json;
  }

  static List<RolePermission> listFromJson(List<dynamic> json) {
    return json == null ? List<RolePermission>() : json.map((value) => RolePermission.fromJson(value)).toList();
  }

  static Map<String, RolePermission> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RolePermission>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RolePermission.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RolePermission-objects as value to a dart map
  static Map<String, List<RolePermission>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RolePermission>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RolePermission.listFromJson(value);
       });
     }
     return map;
  }
}

